Loading...
Searching...
No Matches
RDKit::AtomPair::AtomPairAtomInvGenerator Class Reference

`#include <AtomPairGenerator.h>`

Inheritance diagram for RDKit::AtomPair::AtomPairAtomInvGenerator:

## Public Member Functions

| AtomPairAtomInvGenerator (bool includeChirality=false, bool topologicalTorsionCorrection=false)
| Construct a new AtomPairAtomInvGenerator object.
std::vector< std::uint32_t > * | getAtomInvariants (const ROMol &mol) const override
| get atom invariants from a molecule
std::string | infoString () const override
| method that returns information about this /c AtomInvariantsGenerator and its arguments
AtomPairAtomInvGenerator * | clone () const override
Public Member Functions inherited from RDKit::AtomInvariantsGenerator
virtual | ~AtomInvariantsGenerator ()

## Detailed Description

Definition at line 22 of file AtomPairGenerator.h.

## Constructor & Destructor Documentation

## AtomPairAtomInvGenerator()

RDKit::AtomPair::AtomPairAtomInvGenerator::AtomPairAtomInvGenerator | ( | bool | includeChirality = false,
|  | bool | topologicalTorsionCorrection = false )

Construct a new AtomPairAtomInvGenerator object.

Parameters

  includeChirality | toggles the inclusions of bits indicating R/S chirality
  topologicalTorsionCorrection | when set subtracts 2 from invariants returned, added so TopologicalTorsionGenerator can use this

Referenced by clone().

## Member Function Documentation

## clone()

AtomPairAtomInvGenerator * RDKit::AtomPair::AtomPairAtomInvGenerator::clone | ( |  | ) | const

override virtual

Implements RDKit::AtomInvariantsGenerator.

References AtomPairAtomInvGenerator().

## getAtomInvariants()

std::vector< std::uint32_t > * RDKit::AtomPair::AtomPairAtomInvGenerator::getAtomInvariants | ( | const ROMol & | mol | ) | const

override virtual

get atom invariants from a molecule

Parameters

  mol | molecule to generate the atom invariants for

Returns
  std::vector<std::uint32_t> atom invariants generated for the given molecule

Implements RDKit::AtomInvariantsGenerator.

## infoString()

std::string RDKit::AtomPair::AtomPairAtomInvGenerator::infoString | ( |  | ) | const

override virtual

method that returns information about this /c AtomInvariantsGenerator and its arguments

Returns
  std::string information string

Implements RDKit::AtomInvariantsGenerator.

The documentation for this class was generated from the following file:

- AtomPairGenerator.h